#include "boost_def.h"

#include <algorithm>

const int BOOST_DEF = 5;
const int BOOST_DEF_DROW = 7;


boost_def::boost_def():
        potion{potion_type::boost_def, -1} {}

void boost_def::apply(enum race &race, int &HP, int &ATK, int &DEF,
                           float &base_hit_rate) {
        if (remaining_duration > 0) {
                if (race == rdrow)
                        DEF += BOOST_DEF_DROW;
                else
                        DEF += BOOST_DEF;

                --remaining_duration;
        }
}

int boost_def::get_priority() const {
        return CALC_ADD_BASE;
}