#include "poison_health.h"

#include <algorithm>

poison_health::poison_health():
        potion{potion_type::poison_health, 1} {}

void poison_health::apply(enum race &race, int &HP, int &ATK, int &DEF,
                           float &base_hit_rate) {
        if (remaining_duration > 0) {
                if (race == rdrow)
                        HP = std::max(HP - 7, 0);
                else
                        HP = std::max(HP - 5, 0);

                --remaining_duration;
        }
}

int poison_health::get_priority() const {
        return CALC_ADD_BASE;
}
