#ifndef __VAMPIRE_H__
#define __VAMPIRE_H__
#include "characters.h"

const int GAIN_HP = 5;

class vampire final: public character {
public:
        vampire(RNG &rng,
                const position_list &available_positions);
        virtual result attack(const direction dir,
                              character_list &chlist) override;
        virtual result get_hit(const enum race &race, const int atk,
                               const float hit_rate) override;
};

#endif
